/* Tiny CSV Reader */
/* Copyright (C) 2015, Deligiannidis Konstantinos

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://w...content-available-to-author-only...u.org/licenses/>.  */

#ifndef __TINYCSV
#define __TINYCSV
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <ctype.h>




int getcols( const char * const line, const char * const delim, char ***out_storage, int );
char* load_file(char const* path);
void trim(char *);
#endif
