dimtoplot=2;
y=[-4.3:0.1:4.3];
binstoplot=20;

x=load("doctor.txt");
vard=var(x(:,dimtoplot));
meany=mean(x(:,dimtoplot));

pydoctor=((1/sqrt(2*pi*vard))*exp(-0.5*((y-meany).^2)/vard));

x=load("nurse.txt");
vard=var(x(:,dimtoplot));
meany=mean(x(:,dimtoplot));

pynurse=((1/sqrt(2*pi*vard))*exp(-0.5*((y-meany).^2)/vard));


x=load("patient.txt");
vard=var(x(:,dimtoplot));
meany=mean(x(:,dimtoplot));

pypatient=((1/sqrt(2*pi*vard))*exp(-0.5*((y-meany).^2)/vard));


x=load("intern.txt");
vard=var(x(:,dimtoplot));
meany=mean(x(:,dimtoplot));

pyintern=((1/sqrt(2*pi*vard))*exp(-0.5*((y-meany).^2)/vard));

py=[pydoctor;pynurse;pypatient;pyintern];
%% set to 4 to include pyintern
maxi=3;

px=[0.45,0.2,0.01,0.34];

pytotal=px*py;

%% use this one to plot dashed/dotted as well as color
kkk={'-','--',':'};
%% this one plots all solid
kkk={'-','-','-'};

%% now plot as a function of y for different values of mean of the prior over y, uy
figure(10);
clf;
plot(y',py(1,:)',kkk{1},'Color','b','LineWidth',3);
hold on;
plot(y',py(2,:)',kkk{2},'Color','r','LineWidth',3);
plot(y',py(3,:)',kkk{3},'Color',[0.5 0.8 0.1],'LineWidth',3);
if (maxi==4)
  plot(y',py(4,:)','k:','LineWidth',3);
end
set(gca,'FontWeight', 'bold');
legend('Doctor','Nurse','Patient'); %%,'intern');
ylabel('P({\it y}|{\it x})','FontSize',12,'FontWeight','bold');
xlabel('{\it y} = power','FontSize',12,'FontWeight','bold');
print('figure1.pdf','-dpdf');
print('figure1.png','-dpng');


pyn=py(1:maxi,:)./sum(py(1:maxi,:));
figure(11)
clf;				%plot(y',pyn','LineWidth',3);
plot(y',pyn(1,:)',kkk{1},'Color','b','LineWidth',3);
hold on
plot(y',pyn(2,:)',kkk{2},'Color','r','LineWidth',3);
plot(y',pyn(3,:)',kkk{3},'Color',[0.5 0.8 0.1],'LineWidth',3);
if maxi==4
  plot(y',py(4,:)','k:','LineWidth',3);
end
set(gca,'FontWeight', 'bold');
legend('Doctor','Nurse','Patient'); %%,'intern');
ylabel('P({\it x})','FontSize',12,'FontWeight','bold');
xlabel('{\it y} = power','FontSize',12,'FontWeight','bold');
print('figure2.pdf','-dpdf');
print('figure2.png','-dpng');

if (0) 
pytn=pytotal; %./sum(pytotal);
figure(12)
plot(y',pytn','LineWidth',3);
set(gca,'FontWeight', 'bold');
%legend('doctor','nurse','patient','intern');
ylabel('P(y)','FontSize',12,'FontWeight','bold');
xlabel('y=power','FontSize',12,'FontWeight','bold');
print('figure3.pdf','-dpdf');
print('figure1b.png','-dpng');


figure(13);
bar(px)
set(gca,'FontWeight', 'bold');
set(gca,'XTickLabel',{'doctor','nurse','patient','intern'})
ylabel('P(x)','FontSize',12,'FontWeight','bold');
print('figure4.pdf','-dpdf');
print('figure1c.png','-dpng');
end
